QCAT - Task #924

User Story # 916 (Closed): Review/Approval workflow: Basic solution

Basic Workflow messaging
19 May 2016 13:56 - Kurt Gerber

Status: Closed Start date: 19 May 2016
Priority: High Due date:

Assignee: Lukas Vonlanthen % Done: 0%
Category: Estimated time: 0.00 hour
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

¢ Invlved users (roles) should receive a message, when a case takes a step in the workflow

History

#1 - 23 Jun 2016 10:43 - Sebastian Manger

Stub for requirements:

Requirements:
Model:

e Each action in the publication cycle generates a message * List of relevant statuses is configurable * Users can activate/deactivate receiving
messages (globally, not per questionnaire) * Unsubscribe-link is on the bottom of the mail

¢ New properties for the User: unread_messages, language

e tbd: Store 'responsible’ person, permitting the action?

Model:

sender (fk)

receivers (fk)
questionnaire (fk)

status (text; choices)
created (auto_now_add)

Mails:

Mail is sent by the local smtp server (is up & running)

Mail is sent asynchronously, sending mail must not block a review action. For now: crontab - later: maybe celery
From (and reply-to) is configurable

Mail subject line is: QCAT: <questionnaire name> is now <new status>

Frontend:

e Display new messages
e List view: all messages
* Mark messages read

#2 - 11 Aug 2016 10:08 - Kurt Gerber
- Status changed from New to In Progress
- Priority changed from Normal to High

- Target version changed from WOCAT core productive release to QCAT Backlog

#3 - 14 Sep 2016 11:06 - Sebastian Manger

- Status changed from In Progress to Feedback

#4 - 05 Dec 2016 09:59 - Lukas Vonlanthen
- Status changed from Feedback to Closed
